﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MapAppSample
{
	internal class CColorSelect
	{
		static internal void Select(PictureBox PB)
		{
			ColorDialog cd = new ColorDialog();
			cd.Color = PB.BackColor;
			cd.CustomColors = new int[] {
					0x33, 0x66, 0x99, 0xCC, 0x3300, 0x3333,
					0x3366, 0x3399, 0x33CC, 0x6600, 0x6633,
					0x6666, 0x6699, 0x66CC, 0x9900, 0x9933};

			if (cd.ShowDialog() == DialogResult.OK) {
				PB.BackColor = cd.Color;
			}
		}
	}
}
