﻿using System;
using System.Drawing;
using System.Windows.Forms;
using DllMapK;

namespace MapAppSample
{
	public partial class CLineAddDlg : Form
	{
		internal CMapKObject MapKObject;



		public CLineAddDlg(PointDouble _P1, PointDouble _P2)
		{
			InitializeComponent();

			MapKObject = new CMapKObject();
			MapKObject.Type = Object_TYPE.LINE;                    // ライン
			MapKObject.P = _P1;
			MapKObject.P2 = _P2;

			TB_LineSize.Text = "1";
			PB_ライン色.BackColor = Color.Blue;
		}

		private void B_OK_Click(object sender, System.EventArgs e)
		{
			MapKObject.Size = Convert.ToInt32(TB_LineSize.Text);
			MapKObject.LabelLineColor = PB_ライン色.BackColor;

			DialogResult = DialogResult.OK;
			return;
		}

		private void B_ライン色選択_Click(object sender, EventArgs e)
		{
			CColorSelect.Select(PB_ライン色);
		}
	}
}
