﻿using System.Windows.Forms;
using DllMapK;

namespace MapAppSample
{
	public partial class CMapObjectView: Form
    {

		public CMapObjectView(CSelectMapObject SelectMapObject)
		{
			InitializeComponent();

			TB_Number.Text = SelectMapObject.Number.ToString();
			TB_ID.Text = SelectMapObject.Object.ID.ToString();
			TB_Type.Text = SelectMapObject.Object.Type.ToString();
			TB_P_X.Text = SelectMapObject.Object.P.X.ToString("F4");
			TB_P_Y.Text = SelectMapObject.Object.P.Y.ToString("F4");
			TB_P2_X.Text = SelectMapObject.Object.P2.X.ToString("F4");
			TB_P2_Y.Text = SelectMapObject.Object.P2.Y.ToString("F4");
			if (SelectMapObject.Object.Icon != null) {
				PB_Icon.Image = SelectMapObject.Object.Icon.ToBitmap();
			}
			TB_IconSize.Text = SelectMapObject.Object.IconSize.ToString();
			TB_Label.Text = SelectMapObject.Object.Label;
			TB_LabelPosition.Text = SelectMapObject.Object.LabelPosition.ToString();
			TB_LabelCenter.Text = SelectMapObject.Object.LabelCenter.ToString();
			TB_LabelLineColor.Text = SelectMapObject.Object.LabelLineColor.ToString();
			if (SelectMapObject.Object.LabelFont != null) {
				TB_LabelFont.Text = SelectMapObject.Object.LabelFont.ToString();
			}
			TB_LabelBkColor.Text = SelectMapObject.Object.LabelBkColor.ToString();
			TB_LabelBkStyle.Text = SelectMapObject.Object.LabelBkStyle.ToString();
			TB_Size.Text = SelectMapObject.Object.Size.ToString();
		}
	}
}
